org.apache.ignite.internal.processors.platform

## Class PlatformJavaObjectSingletonFactory<T>

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.PlatformJavaObjectSingletonFactory<T>

All Implemented Interfaces:
  PlatformJavaObjectFactory<T>

    public class PlatformJavaObjectSingletonFactory<T>
    extends Object
    implements PlatformJavaObjectFactory<T>

Singleton factory.

### Constructor Summary

Constructors
Constructor and Description
`PlatformJavaObjectSingletonFactory(T instance)` Constructor.

### Method Summary

Methods
`T` `create()` Constructs and returns a fully configured instance of T.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PlatformJavaObjectSingletonFactory

    public PlatformJavaObjectSingletonFactory(T instance)

Constructor.

Parameters:
  `instance` - Instance.

### Method Detail

#### create

    public T create()

Constructs and returns a fully configured instance of T.

Specified by:
  `create` in interface `PlatformJavaObjectFactory<T>`
Returns:
  An instance of T.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017